Summary:	Multi-protocol, multi-mailbox mail watcher plugin for Xfce4 panel
Summary(pl.UTF-8):	Wtyczka powiadamiania o poczcie dla panelu Xfce4
Name:		xfce4-mailwatch-plugin
Version:	1.4.0
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-mailwatch-plugin/1.4/%{name}-%{version}.tar.xz
# Source0-md5:	19f852317c31bb99ee41b36c9432d4e0
Patch0:		mbox-refresh-interval.patch
URL:		https://spuriousinterrupt.org/projects/xfce4-mailwatch-plugin/
BuildRequires:	exo-devel >= 0.11.0
BuildRequires:	glib2-devel >= 1:2.50.0
BuildRequires:	gnutls-devel >= 1.2.0
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	libxfce4ui-devel >= 4.16.0
BuildRequires:	libxfce4util-devel >= 4.16.0
BuildRequires:	meson >= 0.54.0
BuildRequires:	ninja
BuildRequires:	xfce4-dev-tools >= 4.16.0
BuildRequires:	xfce4-panel-devel >= 4.16.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	xfce4-dirs >= 4.6
Requires:	xfce4-panel >= 4.16.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Xfce4 Mailwatch Plugin is a multi-protocol, multi-mailbox mail
watcher. Currently, the protocols supported are:
  - IMAP (SSL/TLS and cleartext, CRAM-MD5)
  - POP3 (SSL/TLS and cleartext, CRAM-MD5)
  - Mbox mail spool (local)
  - Maildir mail spool (local)
  - MH-Maildir mail spool (local)
  - Google Mail (GMail) mailbox (remote)

%description -l pl.UTF-8
Wtyczka Mailwatch służy do powiadamiania o nadejściu nowej poczty,
Obecnie obsługuje następujące protokoły:
  - IMAP (SSL/TLS i czysty tekst, CRAM-MD5)
  - POP3 (SSL/TLS i czysty tekst, CRAM-MD5)
  - Mbox (lokalny)
  - Maildir (lokalny)
  - MH-Maildir (lokalny)
  - Google Mail (GMail) (zdalny)

%prep
%setup -q
%patch -P 0 -p1

%build
%meson
%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{ie,ur_PK}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libmailwatch.so
%{_datadir}/xfce4/panel/plugins/mailwatch.desktop
%{_iconsdir}/hicolor/*/apps/*
%changelog
* Sat May 24 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-mailwatch-plugin.git;a=log;h=master

* Sat May 24 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5db9ef7
- libtool is no longer a BR

* Sat May 24 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 55d8517
- up to 1.4.0

* Fri Dec 27 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 136078c
- up to 1.3.2

* Thu Apr 20 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f387eb9
- up to 1.3.1

* Mon Dec 28 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> fe69692
- up to 1.3.0

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> 2c43297
- release 6 (by relup.sh)

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> a0daefb
- rebuild with gnutls 3.5
- release 5 (by relup.sh)

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> 8bf02e0
- fix BRs

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 14a9323
- rebuild for XFCE 4.12
- release 4 (by relup.sh)

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> 042c4f3
- x32 rebuild
- release 3 (by relup.sh)

* Mon Aug 25 2014 Jan Rękorajski <baggins@pld-linux.org> 3b26d83
- remove non existing locale
- rel 2

* Sat Aug 16 2014 Jan Rękorajski <baggins@pld-linux.org> 047114e
- up to 1.2.0

* Thu Jan 02 2014 Jan Rękorajski <baggins@pld-linux.org> d187ea7
- fixed format string errors
- rel 11

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> fba71b9
- release 10 (by relup.sh)

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 4857698
- release 9

* Mon Sep 26 2011 Jan Rękorajski <baggins@pld-linux.org> 24b9c34
- rel 8
- gnutls 2.12.0 deprecated gnutls_transport_set_lowat()

* Sat Sep 24 2011 Elan Ruusamäe <glen@pld-linux.org> 3f7c2c6
- more -lgcrypt

* Sat Sep 24 2011 Elan Ruusamäe <glen@pld-linux.org> 295bfc0
- add patches from fedora

* Fri Sep 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ea48c5
- release 7

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 489da05
- release 6

